EDIT - feature request #6133

Improve Rank Webservice
10/19/2016 07:02 PM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal

Description

. Fi | e
o Orifuse-findByMarker-add-seortindexforderranks-by-sertindex => sortindex is in entity

¢ Add-German-and-Latin-transtation#6510

http://api.cybertaxonomy.org/edaphobase/term/findByMarker.json?markerType=6eaeffd2-b89b-436b-b0ee-75af5{0a9b81 &value=true
&includeEntity=true

Open issue:

e representations are not mapped to a language

Related issues:
Copied to EDIT - feature request #9406: Open issue for Edaphobase rank web se... Rejected

Associated revisions

Revision 8acdcOb?7 - 12/05/2016 09:43 AM - Andreas Miiller
fix #4594 fix includeEntity issue for findByMarker and findByldentifier methods

Revision fO0c2dbeb - 03/14/2017 09:35 AM - Andreas Miiller

ref #6133 add csv file for German ranks (still incomplete)

History

#1 - 10/19/2016 07:03 PM - Andreas Miuller

- Tracker changed from bug to feature request

#2 - 10/19/2016 07:03 PM - Andreas Miiller
- Private changed from No to Yes
/termVocabulary/ef0d1ce1-26e3-4e83-b47b-ca74eed40b1b/terms.json?orderBy=BY_ORDER_INDEX_ASC

e |ch dachte, die Range kénnen konfiguriert werden?
* Gibt es die Namen auch in anderen Sprachen? Wir hatten gern Deutsch, Englisch und Latein

Im Editor kénnen die Range frei konfiguriert (ein und ausgeblendet) werden, im Webservice jedoch noch nicht. Da wir derzeit in jeder CDM Version
immer unsere Basisrédnge laden missen, ist dies ein etwas kniffligeres Problem, auch wenn es eigentlich so einfach zu sein scheint. Eine
Grundsatzliche Lésung ist schon lange angedacht, benétigt aber einen gréBeren Umbau, der wohl nicht vor Anfang néachsten Jahres stattfinden wird.
Daher werde ich versuchen, bis dahin noch einen Workaround zu basteln.

Frage: Ist es flr euch notwendig, dass die Positionsangabe (Integer) fortlaufend nummeriert ist oder wére es ausreichen, wenn zumindest die
Sortierung dadurch eindeutig ist (wenn also z.B. zwischendurch einige Nummern einfach fehlen, weil diese Range ausgeblendet sind)?

Antwort: Hauptsache, die kommen in der Richtigen Reihenfolge, wenn was fehlt, ist das nicht so schlimm.
https://dev.e-taxonomy.eu/redmine/issues/6510
http://api.cybertaxonomy.org/edaphobase/term/findByMarker.json?markerType=6eaeffd2-b89b-436b-b0ee-75af5f0a9b81&value=true&includeEntity=true
http://api.cybertaxonomy.org/edaphobase/term/findByMarker.json?markerType=6eaeffd2-b89b-436b-b0ee-75af5f0a9b81&value=true&includeEntity=true

#3 - 12/05/2016 10:31 AM - Andreas Miiller

sortlndex is now available when using includeEntity=true

#4 - 12/05/2016 10:31 AM - Andreas Miiller
- % Done changed from 0 to 20

#5 - 03/15/2017 06:32 PM - Andreas Miiller
- Description updated

#6 - 03/15/2017 06:35 PM - Andreas Miiller
- Description updated

#7 - 03/15/2017 06:35 PM - Andreas Miiller
- % Done changed from 0 to 40

#8 - 03/15/2017 06:37 PM - Andreas Miiller

- Description updated

#9 - 03/15/2017 06:38 PM - Andreas Miiller

- Description updated

#10 - 03/15/2017 06:53 PM - Andreas Miiller

- Status changed from New to In Progress

#11 - 01/20/2021 07:09 PM - Andreas Miiller

- Copied to feature request #9406: Open issue for Edaphobase rank web service added

#12 - 01/20/2021 07:10 PM - Andreas Miiller
- Status changed from In Progress to Closed
- % Done changed from 40 to 100

- Private changed from Yes to No

Created follow up #9406 for open issue, close this ticket
